=== debian/changelog ===
sysvinit (3.05-7) unstable; urgency=medium

  * Drop libcrypt-dev from B-Depends, we don't ship sulogin since Stretch
    which was what we needed the library for.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Nov 2022 02:47:46 +0100

sysvinit (3.05-6) unstable; urgency=medium

  * d/control: add Breaks and Replaces manpages-{es,fr,hu,pl} to
    sysvinit-core to avoid init{tab,script}.5 conflict. (Closes: #1020259)

 -- Mark Hindley <leepen@debian.org>  Mon, 19 Sep 2022 11:10:07 +0100

sysvinit (3.05-5) unstable; urgency=medium

  * Don't bother templating lsb-base scripts; this droppage reduces the
    number of moving parts for rebootstrap folks.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 14 Sep 2022 22:38:11 +0200

sysvinit (3.05-4) unstable; urgency=medium

  * sysvinit-utils: allow co-installing with dummy lsb-base; debootstrap
    doesn't understand Provides.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 12 Sep 2022 21:16:07 +0200

sysvinit (3.05-3) unstable; urgency=medium

  * /etc/init.d/rc.local: correct filename for rc.shutdown. (Closes: #1019480)
  * d/control: Remove lsb-base and update versioned sysvinit-utils dependencies.
    Thanks Samuel Thibault. (Closes: #1019529)
  * bootlogd: add lintian override for init.d-script-needs-depends-on-lsb-base.
  * init-d-script: update comment with dependency requirement for
    /lib/lsb/init-functions.

 -- Mark Hindley <leepen@debian.org>  Mon, 12 Sep 2022 10:34:53 +0100

sysvinit (3.05-2) unstable; urgency=medium

  * d/changelog: add missing closes for #959860 in previous version.
  * d/control: add Breaks/Replaces for manpages-fr (<< 4.15.0-9~) to avoid
    bootlogd(8) conflict. (Closes: #1009915)

 -- Mark Hindley <leepen@debian.org>  Fri, 09 Sep 2022 16:56:55 +0100

sysvinit (3.05-1) experimental; urgency=medium

  * New upstream version 3.05
  * d/copyright: add missing entries and sort by date (Closes: #1014511).
  * Support /etc/rc.shutdown based on patch from Patrik Schindler
    <poc@pocnet.net> (Closes: #959860).
  * Take over library scripts from lsb-base.
  * sysvinit-utils: drop unnecessary lsb-base dependency (Closes: #946399).
  * Include upstream translated manpages and divert systemd equivalents in
    manapages-{de,es,fi,fr,hu,id,pl} (Closes: #1009915).

 -- Mark Hindley <leepen@debian.org>  Wed, 24 Aug 2022 13:05:57 +0100
