=== debian/changelog ===
sysvinit (3.06-4) unstable; urgency=medium

  * Add Romanian debconf translations with thanks to Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org>.  (Closes: #1033723)

 -- Mark Hindley <leepen@debian.org>  Mon, 03 Apr 2023 07:25:22 +0100

sysvinit (3.06-3) unstable; urgency=medium

  * Cherry pick hunk from upstream to fix regression in pidof not matching
    symlinks. (Closes: #1033311)
  * Cherry pick upstream patch to fix memory initialisation in pidof.
    (Closes: #1033311)

 -- Mark Hindley <leepen@debian.org>  Thu, 30 Mar 2023 13:59:53 +0100

sysvinit (3.06-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mark Hindley <leepen@debian.org>  Sun, 18 Dec 2022 17:00:20 +0000

sysvinit (3.06-1) experimental; urgency=medium

  * New upstream version 3.06
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Sun, 18 Dec 2022 11:07:46 +0000

sysvinit (3.06~beta1-1) experimental; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.06~beta1
    - no longer requires libcrypt-dev when not building sulogin
      (Closes: #972315)
    - adds missing German man page translations (Closes: #1021819)
    - includes Portuguese translation of manpages, thanks to
      Américo Monteiro (Closes: #1019168).
  * Remove unnecessary d/p/libcrypt-lib.patch.
  * Add Breaks/Replaces for manpages-de initscripts.5.gz.
  * d/not-installed: add translated versions of initctl.5.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove 3 obsolete maintscript entries in 1 files.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entry 2.86.ds1-2.
  * Remove empty maintainer scripts: initscripts (preinst)

 -- Mark Hindley <leepen@debian.org>  Fri, 02 Dec 2022 11:29:21 +0000
