=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  po-debconf,
  po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/slicer69/sysvinit
 Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
 Vcs-Browser: https://salsa.debian.org/debian/sysvinit
@@ -35,6 +35,7 @@
 Breaks:
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
+ manpages-de (<< 4.15.0-9~),
  manpages-hu (<< 1:4.15.0-9~),
  manpages-pl (<< 1:4.15.0-9~),
 Replaces:
@@ -43,6 +44,7 @@
  runit-init,
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
+ manpages-de (<< 4.15.0-9~),
  manpages-hu (<< 1:4.15.0-9~),
  manpages-pl (<< 1:4.15.0-9~),
 Suggests:
