## sysvinit 3.07

=== debian/changelog ===
sysvinit (3.07-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2029132). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
  * Dropped changes, merged in Debian:
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
      [Fixed in 3.07-1~exp1]

 -- Olivier Gayot <olivier.gayot@canonical.com>  Mon, 31 Jul 2023 15:26:23 +0200

sysvinit (3.07-1) unstable; urgency=medium

  [ Olivier Gayot ]
  * Drop manual trimming of Debian changelog
  * Use dh_installchangelogs -X instead of deleting changelog manually
  * Remove duplicate dh_installchangelogs for initscripts

 -- Mark Hindley <leepen@debian.org>  Sat, 01 Jul 2023 08:43:15 +0100

sysvinit (3.07-1~exp1) experimental; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.07
     - includes Portuguese manpage translation (Closes: #1027945).
  * Remove obsolete handling of /var/log/boot~ and restore rotation of
    /var/log/boot (Closes: #1034069).
  * brightness initscript: don't save value of 0 when stopping.
  * Remove discontinued lintian tag init.d-script-needs-depends-on-lsb-base.
  * Delete patches applied upstream.
  * Refresh patches.

  [ Olivier Gayot ]
  * d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
    (Closes: #1028586).

 -- Mark Hindley <leepen@debian.org>  Mon, 01 May 2023 11:24:07 +0100

sysvinit (3.06-4ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018596). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
      (Closes: #1028586)
  * Dropped changes:
    - Define the DEB_HOST_* variables in d/rules if not defined already

  * The dropped change was undocumented and first introduced in focal. It is
    unclear what it was originally fixing. One assumption is that, when Debian
    started relying on /usr/share/dpkg/common.mk, the file was not present (or
    incomplete) on some architectures in Ubuntu. We have kept this change
    around for nearly four years, potentially for no valid reason.
    In 3.06-2ubuntu1, this change was worded as "Adjust debian/rules to fix an
    arch: all build failure". This is a mistake and should not be trusted.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sun, 07 May 2023 01:04:33 +0200

sysvinit (3.06-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2007421). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Fix absence of changelog.Debian.gz in sysvinit-utils binary package
    - Adjust debian/rules to fix an arch: all build failure
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 16 Feb 2023 14:53:59 +0100

sysvinit (3.05-7ubuntu2) lunar; urgency=medium

  * d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
    (LP: #2002789)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 13 Jan 2023 11:33:36 +0100

sysvinit (3.05-7ubuntu1) lunar; urgency=low

  * Merge from Debian unstable (LP: #1998325). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already
  * Fix absence of changelog.Debian.gz in sysvinit-utils binary package.
    (LP: #1998324)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 30 Nov 2022 10:32:54 +0100
