=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sysvinit
 Section: admin
 Priority: optional
-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
  Ian Jackson <ijackson@chiark.greenend.org.uk>,
  Benda Xu <heroxbd@gentoo.org>,
