=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 
 tmp     = $(CURDIR)/debian/tmp
 sysvtmp = $(CURDIR)/debian/sysvinit-core
-utiltmp = $(CURDIR)/debian/sysvinit-utils
-rctmp   = $(CURDIR)/debian/sysv-rc
 inittmp = $(CURDIR)/debian/initscripts
-bootlogdtmp = $(CURDIR)/debian/bootlogd
 doc	= /usr/share/doc
 
 LC_ALL	= POSIX
@@ -27,6 +24,10 @@
 
 DH_OPTIONS =
 
+ifeq ($(derives_from_ubuntu),yes)
+	DH_OPTIONS = -Nsysvinit-core -Nsysv-rc -Ninitscripts -Nbootlogd
+endif
+
 # Use debhelper's dh
 %:
 	dh $@ $(DH_OPTIONS)
@@ -44,6 +45,7 @@
 override_dh_install-arch:
 	dh_install
 
+ifneq (,$(findstring sysvinit-core, $(shell dh_listpackages)))
 	# sysvinit package
 	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
 	then \
@@ -59,6 +61,7 @@
 		$(INSTALL_DATA) debian/share/inittab \
 			$(sysvtmp)/usr/share/sysvinit/inittab ; \
 	fi
+endif
 
 	# initscripts package may include /sys
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
@@ -66,8 +69,9 @@
 endif
 
 ifeq ($(derives_from_ubuntu),yes)
-ifneq (,$(findstring lsb-base, $(shell dh_listpackages)))
-	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging debian/lsb-base/lib/lsb/init-functions.d/
+ifneq (,$(findstring sysvinit-utils, $(shell dh_listpackages)))
+	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging \
+		debian/sysvinit-utils/lib/lsb/init-functions.d/
 endif
 endif
 
@@ -75,25 +79,17 @@
 	dh $@ $(DH_OPTIONS)
 
 override_dh_installchangelogs-arch:
+ifneq ($(derives_from_ubuntu),yes)
 	dh_installchangelogs -psysvinit-core doc/Changelog
+endif
+	dh_installchangelogs -psysvinit-utils --exclude doc/Changelog
 
-	dh_installchangelogs -psysvinit-utils
-	rm -f $(utiltmp)$(doc)/sysvinit-utils/changelog
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(utiltmp)$(doc)/sysvinit-utils/changelog.Debian
-
+ifneq ($(derives_from_ubuntu),yes)
 	dh_installchangelogs -pbootlogd
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian
+endif
 
 override_dh_installchangelogs-indep:
 	dh_installchangelogs
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(rctmp)$(doc)/sysv-rc/changelog.Debian
-
-	dh_installchangelogs -pinitscripts
-	sed -i -ne '/sysvinit (2.93-8)/q' -e p \
-		$(inittmp)$(doc)/initscripts/changelog.Debian
 
 override_dh_installdeb:
 	dh_installdeb
