## sysvinit 3.08

=== src/Makefile ===
--- 
+++ 
@@ -40,8 +40,8 @@
 
 ifeq ($(DISTRO),Debian)
 CPPFLAGS+= -DACCTON_OFF
-SBIN	+= sulogin bootlogd
-MAN8	+= sulogin.8 bootlogd.8
+SBIN	+= bootlogd
+MAN8	+= bootlogd.8
 MANDB	:=
 endif
 
@@ -64,6 +64,9 @@
 BIN	+= mountpoint
 MAN1	+= mountpoint.1
 endif
+
+MANPAGES:=$(MAN1) $(MAN5) $(MAN8)
+MANPAGES+=$(subst ../man/,,$(foreach man,$(MANPAGES),$(wildcard ../man/??/$(man))))
 
 ID		= $(shell id -u)
 BIN_OWNER	= root
@@ -89,6 +92,8 @@
   SULOGINLIBS	=
 endif
 
+ROOT	?= $(DESTDIR)
+
 # Additional libs for GNU libc.
 ifneq ($(wildcard $(ROOT)/usr/lib*/libcrypt.*),)
   SULOGINLIBS	+= -lcrypt
@@ -208,28 +213,17 @@
 		ln -sf halt $(ROOT)/sbin/reboot
 		ln -sf halt $(ROOT)/sbin/poweroff
 		ln -sf init $(ROOT)/sbin/telinit
-		ln -sf /sbin/killall5 $(ROOT)/bin/pidof
+		ln -sf ../sbin/killall5 $(ROOT)/bin/pidof
 		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
 			ln -sf last $(ROOT)/usr/bin/lastb; \
 		fi
 		$(INSTALL_DIR) $(ROOT)/usr/include/
 		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
-		for lang in  '' $(subst ../man/,,$(wildcard ../man/po/??/)); do \
-			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man1/$$lang; \
-			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man5/$$lang; \
-			$(INSTALL_DIR) $(ROOT)$(MANDIR)/man8/$$lang; \
-		done
-		for man in $(MAN1) $(subst ../man/,,$(foreach man,$(MAN1),$(wildcard ../man/??/$(man)))); do \
-			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man1/$$man; \
-			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man1/$$man ; \
-		done
-		for man in $(MAN5) $(subst ../man/,,$(foreach man,$(MAN5),$(wildcard ../man/??/$(man)))); do \
-			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man5/$$man; \
-			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man5/$$man ; \
-		done
-		for man in $(MAN8) $(subst ../man/,,$(foreach man,$(MAN8),$(wildcard ../man/??/$(man)))); do \
-			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man8/$$man; \
-			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man8/$$man ; \
+		for man in $(MANPAGES) ; do \
+		    targetdir=$(ROOT)$(MANDIR)/$$(dirname $$man)/man$${man##*.}; \
+		    $(INSTALL_DIR) $$targetdir; \
+		    $(INSTALL_DATA) ../man/$$man $$targetdir/$$(basename $$man); \
+		    sed -i "1{ $(MANDB); }" $$targetdir/$$(basename $$man); \
 		done
 ifeq ($(ROOT),)
 		#
