=== debian/changelog ===
sysvinit (3.08-6ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:20:36 +0200

sysvinit (3.08-6ubuntu2) noble; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1060139)

  [ Julian Andres Klode ]
  * Adjust DEP17 move for Ubuntu

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:40:25 +0100

sysvinit (3.08-6ubuntu1) noble; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 21 Feb 2024 12:36:24 -0600

sysvinit (3.08-6) unstable; urgency=medium

  * d/sysvinit-core.postinst: don't do_restart() for new installations.
    (Closes: #1061280)

 -- Mark Hindley <leepen@debian.org>  Thu, 25 Jan 2024 17:43:34 +0000

sysvinit (3.08-5) unstable; urgency=medium

  * Add Greek debconf translation with thanks to Dimitris
    <dimitris@stinpriza.org>.
  * hwclock.sh: support HURD direct ISA I/O. (Closes: #1057634)
  * d/control: initscripts demote util-linux-extra to Recommends.
  * Restore sequencing prefix 85 to hwclock rules file.


 -- Mark Hindley <leepen@debian.org>  Wed, 06 Dec 2023 15:02:37 +0000

sysvinit (3.08-4) experimental; urgency=medium

  [ Guillem Jover ]
  * initscripts: Set PATH in udev init script to include stat program.

  [ Johannes Schauer Marin Rodrigues ]
  * postinst: respect DPKG_ROOT environment variable (Closes: #1056213).

  [ Mark Hindley ]
  * Update Swedish debconf translation with thanks to Martin Bagge
    <brother@persilja.net>.  (Closes: #1056954)

 -- Mark Hindley <leepen@debian.org>  Mon, 27 Nov 2023 18:45:44 +0000

sysvinit (3.08-3ubuntu1) noble; urgency=low

  * Merge with Debian Unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 20 Nov 2023 17:34:46 -0600

sysvinit (3.08-3) unstable; urgency=medium

  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Oct 2023 20:17:56 +0100

sysvinit (3.08-2) experimental; urgency=medium

  * initscripts: take over hwclock machinery from util-linux-extra
    (Closes: #934463).

 -- Mark Hindley <leepen@debian.org>  Sun, 01 Oct 2023 12:06:22 +0100

sysvinit (3.08-1) unstable; urgency=medium

  * New upstream version 3.08
  * Add patch to fix man/Makefile clean recipe (Closes: #1047054).
  * Takeover udev initscript from src:systemd (Closes: #1042082).

 -- Mark Hindley <leepen@debian.org>  Sun, 17 Sep 2023 20:10:53 +0100
