=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Conflicts:
  systemd-sysv,
  runit-init,
+ molly-guard (<< 0.8.3~),
 Breaks:
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
@@ -104,6 +105,11 @@
 Recommends:
  e2fsprogs,
  psmisc,
+ util-linux-extra,
+Breaks: udev (<<  254.3-1),
+	util-linux-extra (<< 2.39.2-2.1~)
+Replaces: udev (<<  254.3-1),
+	  util-linux-extra (<< 2.39.2-2.1~)
 Description: scripts for initializing and shutting down the system
  The scripts in this package initialize a standard Debian
  system at boot time and shut it down at halt or reboot time.
