=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 ifeq ($(derives_from_ubuntu),yes)
 ifneq (,$(findstring sysvinit-utils, $(shell dh_listpackages)))
 	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging \
-		debian/sysvinit-utils/lib/lsb/init-functions.d/
+		debian/sysvinit-utils/usr/lib/lsb/init-functions.d/
 endif
 endif
 
@@ -101,11 +101,11 @@
 	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
 	rm $(sysvtmp)/usr/share/man/man8/poweroff.8.gz
 	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/poweroff-sysv.8.gz
-	mv $(sysvtmp)/sbin/halt $(sysvtmp)/sbin/halt-sysv
-	rm $(sysvtmp)/sbin/reboot
-	ln -s halt-sysv $(sysvtmp)/sbin/reboot-sysv
-	rm $(sysvtmp)/sbin/poweroff
-	ln -s halt-sysv $(sysvtmp)/sbin/poweroff-sysv
+	mv $(sysvtmp)/usr/sbin/halt $(sysvtmp)/usr/sbin/halt-sysv
+	rm $(sysvtmp)/usr/sbin/reboot
+	ln -s halt-sysv $(sysvtmp)/usr/sbin/reboot-sysv
+	rm $(sysvtmp)/usr/sbin/poweroff
+	ln -s halt-sysv $(sysvtmp)/usr/sbin/poweroff-sysv
 endif
 
 override_dh_clean:
