## sysvinit 3.09

=== debian/changelog ===
sysvinit (3.09-2.0antix1) unstable; urgency=medium

  * set as non essential

 -- anticapitalista <antix@operamail.com>  Mon, 17 Jun 2024 12:03:59 +0300

sysvinit (3.09-2) unstable; urgency=medium

  [ Mark Hindley ]
  * bootlogd.init: fix path in check for running under systemd.
    (Closes: #1072011)
  * Declare interest in libc-upgrade trigger. (Closes: #1072375)
  * d/sysvinit-core.postinst:
    - refactor.
    - remove obsolete /dev/initctl -> /run migration.
    - support "triggered".
  * d/control: bump Standards Version (no changes).

  [ Thorsten Glaser <tg@mirbsd.de> ]
  * Save initramfs fsck logs to /var/log/fsck/.

 -- Mark Hindley <leepen@debian.org>  Thu, 13 Jun 2024 18:20:51 +0100

sysvinit (3.09-1) unstable; urgency=medium

  * New upstream version 3.09
  * Drop patch applied upstream.
  * /etc/init.d/rc.local: stop in runlevels 0 6 so rc.shutdown is run.
  * d/control:
    - add Salsa as Homepage for initscripts and sysv-rc.
    - fix typo in sysvinit-utils description. (Closes: #1069177)

 -- Mark Hindley <leepen@debian.org>  Wed, 17 Apr 2024 12:58:59 +0100

sysvinit (3.08-7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * sysvinit-core.postinst: remove code handling /etc/inittab with missing
    entries (Closes: #1063629)
  * initscripts.postinst: avoid calling uname for non-empty DPKG_ROOT
    (Closes: #1063639)

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1060139)

  [ Mark Hindley ]
  * Delete unused debconf machinery now there are no templates (lintian).

 -- Mark Hindley <leepen@debian.org>  Thu, 29 Feb 2024 11:22:45 +0000
