=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sysvinit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
+Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
  Ian Jackson <ijackson@chiark.greenend.org.uk>,
  Benda Xu <heroxbd@gentoo.org>,
@@ -12,10 +11,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  libselinux1-dev [linux-any],
- po-debconf,
  po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/slicer69/sysvinit
 Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
 Vcs-Browser: https://salsa.debian.org/debian/sysvinit
@@ -63,8 +61,6 @@
  other processes are descended from it.
 
 Package: sysvinit-utils
-Priority: required
-Essential: yes
 Architecture: any
 Multi-Arch: foreign
 Depends:
@@ -80,9 +76,10 @@
  init-d-script, fstab-decode, killall5, pidof
  .
  It also contains the library scripts sourced by init-d-script and other
- initscripts that were formally in lsb-base.
+ initscripts that were formerly in lsb-base.
 
 Package: sysv-rc
+Homepage: https://salsa.debian.org/debian/sysvinit
 Architecture: all
 Multi-Arch: foreign
 Depends:
@@ -96,6 +93,7 @@
  configured through symbolic links in /etc/rc?.d/.
 
 Package: initscripts
+Homepage: https://salsa.debian.org/debian/sysvinit
 Architecture: all
 Multi-Arch: foreign
 Depends:
