## sysvinit 3.10

=== debian/changelog ===
sysvinit (3.10-3) unstable; urgency=medium

  * init-d-script:
    - support capabilities by wrapping s-s-d with setpriv.
    - when stopping, send CONT signal before TERM.

 -- Mark Hindley <leepen@debian.org>  Tue, 15 Oct 2024 18:46:37 +0100

sysvinit (3.10-2) unstable; urgency=medium

  * rc.local: fix misplaced stop levels in LSB header. (Closes: #1081435)

 -- Mark Hindley <leepen@debian.org>  Wed, 11 Sep 2024 18:09:54 +0100

sysvinit (3.10-1) unstable; urgency=medium

  * New upstream version 3.10
    - includes reformatting of shutdown.8 (Closes: #1076822).
  * d/control: Update versioned Conflicts to handle DEP17 ineffective
    diversions for more diverters.  Thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #1065146)

 -- Mark Hindley <leepen@debian.org>  Tue, 06 Aug 2024 16:16:21 +0100
