## sysvinit 3.11

=== debian/changelog ===
sysvinit (3.11-1) unstable; urgency=medium

  * New upstream version 3.11.
    - includes manpage fixes (Closes: #905244, #1078731,
      #1082812).
  * Drop patch fixed upstream.

 -- Mark Hindley <leepen@debian.org>  Wed, 23 Oct 2024 09:33:27 +0100
