=== debian/control ===
--- 
+++ 
@@ -32,6 +32,8 @@
  systemd-sysv,
  runit-init,
  molly-guard (<< 0.8.3~),
+ bfh-container (<< 20211009-24~),
+ progress-linux-container (<< 20221002-12~),
 Breaks:
  manpages-es (<< 4.15.0-9~),
  manpages-fr (<< 4.15.0-9~),
@@ -61,6 +63,8 @@
  other processes are descended from it.
 
 Package: sysvinit-utils
+Priority: required
+Essential: yes
 Architecture: any
 Multi-Arch: foreign
 Depends:
