=== debian/changelog ===
sysvinit (3.13-1.0antix1) unstable; urgency=medium

  * set as non essential

 -- anticapitalista <antix@operamail.com>  Fri, 10 Jan 2025 18:01:38 +0200

sysvinit (3.13-1) unstable; urgency=medium

  * New upstream version 3.13, includes manpage fixes for init.8 and pidof.8
    (Closes: #1087343, #1087584)
  * d/sysvinit-core.postinst:
    - drop remaining parts of /run/initctl migration: no longer HUP PID 1.
      (Closes: #1092150)
    - remove $DPKG_ROOT from directory test: nonsensical after previous test.

 -- Mark Hindley <leepen@debian.org>  Tue, 07 Jan 2025 09:26:24 +0000
