=== debian/control ===
--- 
+++ 
@@ -63,8 +63,6 @@
  other processes are descended from it.
 
 Package: sysvinit-utils
-Priority: required
-Essential: yes
 Architecture: any
 Multi-Arch: foreign
 Depends:
